View Issue Details

IDProjectCategoryView StatusLast Update
0001457SymmetricDSBugpublic2014-02-02 20:53
ReportermhanesAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.10 
Target Version3.5.11Fixed in Version3.5.11 
Summary0001457: PostgreSQL timestamp with timezone columns won't sync for very old, European dates.
DescriptionERROR: invalid input syntax for type timestamp with time zone: "1800-01-01 00:09:17.000000 +00:9."

Issue is that, for these dates, the timezone_minute is not a whole number.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master ebaf44ad

2013-10-29 07:00:54

eegeek

Details Diff
0001457: PostgreSQL timestamp with timezone columns won't sync for very old, European dates.
0001457
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2013-10-29 06:38 mhanes New Issue
2013-10-29 06:38 mhanes Status new => assigned
2013-10-29 06:38 mhanes Assigned To => mhanes
2013-11-14 10:59 chenson Status assigned => resolved
2013-11-14 10:59 chenson Fixed in Version => 3.5.11
2013-11-14 10:59 chenson Resolution open => fixed
2013-11-14 11:00 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7758
2015-07-30 21:49 Changeset attached => SymmetricDS master ebaf44ad